Bug 151503 - RFE: selection boxes (eg: severity, version, component, platform) should default to something like "please select"
RFE: selection boxes (eg: severity, version, component, platform) should defa...
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-03-18 13:45 EST by Suzanne Hillman
Modified: 2013-06-23 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 20:40:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2005-03-18 13:45:47 EST
The current state of entering bugs in bugzilla doesn't force people to actually
choose things like a product, a version, and a package - one can pick the
default (which is the first thing in the list) intentionally or accidentally.

I think that, so as to prevent people from inadvertantly not selecting stuff,
the default for the non-optional selection boxes (may not be the right word)
should be something along the lines of "please select a
{product,version,package}", depending on which selection it is, and it should
not allow them to continue along if any of them are still set to "please select".

This seems to be how the wizard works in terms of the 'Reproducability' field,
but it's not consistant, and I don't think it's the case anywhere in the expert
Comment 1 David Lawrence 2008-09-16 12:52:12 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 2 Suzanne Hillman 2008-09-24 11:16:27 EDT
Problem still exists in the new version.
Comment 3 Noura El hawary 2008-12-01 20:40:39 EST
Hi Suzzane,

Basically how bugzilla is designed is that we have to specify default values for 
severity, version, platform, priority, and op sys in the bugzilla configuration, for components how ever we don't set any default values and if the user doesn't select any components when filing a bug then they get an error saying please select a component.  Usually product managers suggest those default values and they apply to most of the bugs, but the user is still given the option if they would like to change those values they can do.


Note You need to log in before you can comment on or make changes to this bug.